Skip to main content
`Ctrl`+`K`

# PetscDLOpen

opens a dynamic library

## Synopsis

    PetscErrorCode PetscDLOpen(const char name[], PetscDLMode mode, PetscDLHandle *handle)

Not Collective, No Fortran Support

## Input Parameters

- name - name of library

- mode - options on how to open library

## Output Parameter

- handle - opaque pointer to be used with `PetscDLSym()`

## See Also

`PetscDLClose()`, `PetscDLSym()`, `PetscDLAddr()`, `PetscDLLibrary`, `PetscLoadDynamicLibrary()`, `PetscDLLibraryAppend()`, `PetscDLLibraryRetrieve()`, `PetscDLLibraryOpen()`, `PetscDLLibraryClose()`, `PetscDLLibrarySym()`

## Level

developer

## Location

src/sys/dll/dlimpl.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages